.mobile-menu {
  /*position: fixed;
  display: flex;*/
  align-items: center;
  justify-content: flex-end;
  padding: 0 0px;
  top: 20px;
  left: 0;
  right: 0;
  height: 20px;
  z-index: 9999999;
}
.mobile-menu__btn {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 45px;
  height: 34px;
  cursor: pointer;
  transition: .4s;
  
}
.mobile-menu__icon {
  display: block;
  position: relative;
  background: #aaa;
  width: 90%;
  height: 5px;
  transition: .4s;
  margin-left: 10px;
}
.mobile-menu__icon::after, .mobile-menu__icon::before {
  content: "";
  display: block;
  position: absolute;
  background: #aaa;
  width: 100%;
  height: 5px;
  transition: .4s;
}
.mobile-menu__icon::after {
  top: 10px;
}
.mobile-menu__icon::before {
  top: -10px;
}
.mobile-menu__container {
  position: fixed;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  left: 0;
  right: 0;
  z-index: 999;
  height: 0;
  opacity: 1;
  transition: .5s;
  overflow: hidden;
  background-color: #bbb;
}
.mobile-menu__list {
  transition: .5s;
  list-style: none;
  padding-left: 0;
}
.mobile-menu__item {
  font-size: 60px;
}
.mobile-menu__item  a{
  font-size: 30px;
}
.mobile-menu__link {
  text-decoration: none;
  color: #fff;
}
.mobile-menu__checkbox {
  display: none;
}
.mobile-menu__checkbox:checked ~ .mobile-menu__nav {
  opacity: 1;
}
.mobile-menu__checkbox:checked ~ .mobile-menu__container {
	position: relative;
    height: auto;
	width: 100%;
}
.mobile-menu__checkbox:checked ~ .mobile-menu__btn .mobile-menu__icon {
  background: transparent;
}
.mobile-menu__checkbox:checked ~ .mobile-menu__btn .mobile-menu__icon::before, .mobile-menu__checkbox:checked ~ .mobile-menu__btn .mobile-menu__icon::after {
  top: 0;
}
.mobile-menu__checkbox:checked ~ .mobile-menu__btn .mobile-menu__icon::after {
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
}
.mobile-menu__checkbox:checked ~ .mobile-menu__btn .mobile-menu__icon::before {
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
}